jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jukka Zitting <jukka.zitt...@gmail.com>
Subject Re: Re: jackrabbit 1.6.1 repo corrupted
Date Fri, 09 Jul 2010 10:20:25 GMT
Hi,

On Fri, Jul 9, 2010 at 1:00 PM, tingup <tingup@gmail.com> wrote:
> Yes, but i builded the repository with 1.6.1 before, i update to 1.6.2 today, and use
> Jackrabbit 1.6.2 during your export/import operation. as the 1.6.2 release notes says,
> backwards-compatible with the 1.6.1 releases.

You can use 1.6.2 with repositories created with 1.6.1 or any earlier
Jackrabbit release, but once you've opened a repository with 1.6.2 you
can't go back to 1.6.1 due to the change mentioned in the release
notes.

> by the way, could you give me any suggestion about how to backup/restore the repo
> of jackrabbit?

See the backup feature described in [1]. Alternatively, as mentioned
by Guo Du, you can simply backup the underlying repository directory
and any referenced external databases referenced in the repository
configuration. Currently both these alternatives require that the
repository has been shut down or at least write-protected during the
backup procedure.

[1] http://jackrabbit.apache.org/standalone-server.html#StandaloneServer-Backupandmigration

BR,

Jukka Zitting

Mime
View raw message